import { CacheState, CacheOptions } from '../../types';
import { StoreDefinition } from 'pinia';
export declare const useCacheStore: StoreDefinition<"CACHE", CacheState, {}, {
    SET_CACHE(key: string, data: any): void;
    REMOVE_CACHE(key: string): void;
    GET_CACHE(options: CacheOptions): Promise<any>;
}>;
